libbladeRF: bladerf_metadata Struct Reference

| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Data Fields
bladerf_metadata Struct Reference
Streaming » Formats » Metadata structure and flags

## Description

Sample metadata

This structure is used in conjunction with the BLADERF_FORMAT_SC16_Q11_META format to TX scheduled bursts or retrieve timestamp information about received samples.

Definition at line 2500 of file libbladeRF.h.

`#include <libbladeRF.h>`

## Data Fields
bladerf_timestamp | timestamp
uint32_t | flags
uint32_t | status
unsigned int | actual_count
uint8_t | reserved [32]

## Field Documentation

## ◆ actual_count

unsigned int actual_count

This output parameter is updated to reflect the actual number of contiguous samples that have been populated in an RX buffer during a bladerf_sync_rx() call.

This will not be equal to the requested count in the event of a discontinuity (i.e., when the status field has the BLADERF_META_STATUS_OVERRUN flag set). When an overrun occurs, it is important not to read past the number of samples specified by this value, as the remaining contents of the buffer are undefined.

Note
  This parameter is not currently used by bladerf_sync_tx().

Definition at line 2543 of file libbladeRF.h.

## ◆ flags

uint32_t flags

Input bit field to control the behavior of the call that the metadata structure is passed to. API calls read this field from the provided data structure, and do not modify it.

Valid flags include BLADERF_META_FLAG_TX_BURST_START, BLADERF_META_FLAG_TX_BURST_END, BLADERF_META_FLAG_TX_NOW, BLADERF_META_FLAG_TX_UPDATE_TIMESTAMP, and BLADERF_META_FLAG_RX_NOW

Definition at line 2519 of file libbladeRF.h.

## ◆ reserved

uint8_t reserved[32]

Reserved for future use. This is not used by any functions. It is recommended that users zero out this field.

Definition at line 2549 of file libbladeRF.h.

## ◆ status

uint32_t status

Output bit field to denoting the status of transmissions/receptions. API calls will write this field.

Possible status flags include BLADERF_META_STATUS_OVERRUN and BLADERF_META_STATUS_UNDERRUN.

Definition at line 2528 of file libbladeRF.h.

## ◆ timestamp

bladerf_timestamp timestamp

Free-running FPGA counter that monotonically increases at the sample rate of the associated channel.

Definition at line 2505 of file libbladeRF.h.

The documentation for this struct was generated from the following file:

- libbladeRF.h